      PROGRAM Telio
      implicit none 

      include 'vogle.fi'

c      include 'tel_cons.inc'                                  
c      include 'tel_strc.inc'
c      include 'tel_file.inc'
c      include 'tel_name.inc'
c      include 'tel_grph.inc'
c      include 'tel_3dvu.inc'
c      include 'tel_plt.inc'
c      include 'tel_chrt.inc'
c
c     Initialize name constants
c
c      include 'tel_init.inc'

      integer*4 i,j    
      real*4    ratio
      logical*4 error,AllGraphs,done
      character line*80,ans*1
      
c      record /CmndLine/    CMND
c      record /MacroStuff/  MACRO
c
c
      call SetupGraphics( ratio )  
999   call vexit()
      write(6,500)
500   format(12(/),21x,'Leaving Telio.  Have a nice day :-)',11(/))
      STOP ' '
      END   
c
c   Copyright (c) 1993 by Dwight Meglan
c
      subroutine SetupGraphics(ratio)

      include 'vogle.fi'

      real*4 ratio

      call getdevices
      ratio= getaspect()
      write(6,100) ratio
 100  format('ratio: ',f10.5)
      call dviewport( -1.0,1.0,-ratio,ratio )
      call ortho2( -1.0,1.0,-ratio,ratio )
      call clipping( .TRUE. )
      call color(0)
      return
      end
